LibOFX: cmdline.h File Reference

LibOFX

Data Structures | Macros | Functions | Variables
ofxdump/cmdline.h File Reference

The header file for the command line option parser generated by GNU Gengetopt version 2.23 http://www.gnu.org/software/gengetopt. DO NOT modify this file, since it can be overwritten. More...

Go to the source code of this file.

## Data Structures
struct | gengetopt_args_info
| Where the command line options are stored. More...
struct | cmdline_parser_params
| The additional parameters to pass to parser functions. More...

## Macros
#define | CMDLINE_PARSER_PACKAGE PACKAGE
| the program name (used for printing errors)
#define | CMDLINE_PARSER_PACKAGE_NAME PACKAGE
| the complete program name (used for help and version)
#define | CMDLINE_PARSER_VERSION VERSION
| the program version

## Functions
int | cmdline_parser (int argc, char **argv, struct gengetopt_args_info *args_info)
int | cmdline_parser2 (int argc, char **argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required)
int | cmdline_parser_ext (int argc, char **argv, struct gengetopt_args_info *args_info, struct cmdline_parser_params *params)
int | cmdline_parser_dump (FILE *outfile, struct gengetopt_args_info *args_info)
int | cmdline_parser_file_save (const char *filename, struct gengetopt_args_info *args_info)
void | cmdline_parser_print_help (void)
void | cmdline_parser_print_version (void)
void | cmdline_parser_params_init (struct cmdline_parser_params *params)
struct cmdline_parser_params * | cmdline_parser_params_create (void)
void | cmdline_parser_init (struct gengetopt_args_info *args_info)
void | cmdline_parser_free (struct gengetopt_args_info *args_info)
int | cmdline_parser_required (struct gengetopt_args_info *args_info, const char *prog_name)

## Variables
const char * | gengetopt_args_info_purpose
| the purpose string of the program
const char * | gengetopt_args_info_usage
| the usage string of the program
const char * | gengetopt_args_info_description
| the description string of the program
const char * | gengetopt_args_info_help []
| all the lines making the help output

## Detailed Description

The header file for the command line option parser generated by GNU Gengetopt version 2.23 http://www.gnu.org/software/gengetopt. DO NOT modify this file, since it can be overwritten.

Author
  GNU Gengetopt

Definition in file ofxdump/cmdline.h.

## Function Documentation

## ◆ cmdline_parser()

int cmdline_parser | ( | int | argc,
|  | char ** | argv,
|  | struct gengetopt_args_info * | args_info
| ) |  |

The command line parser

Parameters

  argc | the number of command line options
  argv | the command line options
  args_info | the structure where option information will be stored

Returns
  0 if everything went fine, NON 0 if an error took place

Definition at line 423 of file ofxconnect/cmdline.c.

## ◆ cmdline_parser2()

int cmdline_parser2 | ( | int | argc,
|  | char ** | argv,
|  | struct gengetopt_args_info * | args_info,
|  | int | override,
|  | int | initialize,
|  | int | check_required
| ) |  |

The command line parser (version with additional parameters - deprecated)

Parameters

  argc | the number of command line options
  argv | the command line options
  args_info | the structure where option information will be stored
  override | whether to override possibly already present options
  initialize | whether to initialize the option structure my_args_info
  check_required | whether to check that all required options were provided

Returns
  0 if everything went fine, NON 0 if an error took place

Deprecated:
  use cmdline_parser_ext() instead

The command line parser (version with additional parameters - deprecated)

Parameters

  argc | the number of command line options
  argv | the command line options
  args_info | the structure where option information will be stored
  override | whether to override possibly already present options
  initialize | whether to initialize the option structure my_args_info
  check_required | whether to check that all required options were provided

Returns
  0 if everything went fine, NON 0 if an error took place

Deprecated:
  use cmdline_parser_ext() instead

Definition at line 445 of file ofxconnect/cmdline.c.

## ◆ cmdline_parser_dump()

int cmdline_parser_dump | ( | FILE * | outfile,
|  | struct gengetopt_args_info * | args_info
| ) |  |

Save the contents of the option struct into an already open FILE stream.

Parameters

  outfile | the stream where to dump options
  args_info | the option struct to dump

Returns
  0 if everything went fine, NON 0 if an error took place

Definition at line 303 of file ofxconnect/cmdline.c.

## ◆ cmdline_parser_ext()

int cmdline_parser_ext | ( | int | argc,
|  | char ** | argv,
|  | struct gengetopt_args_info * | args_info,
|  | struct cmdline_parser_params * | params
| ) |  |

The command line parser (version with additional parameters)

Parameters

  argc | the number of command line options
  argv | the command line options
  args_info | the structure where option information will be stored
  params | additional parameters for the parser

Returns
  0 if everything went fine, NON 0 if an error took place

Definition at line 429 of file ofxconnect/cmdline.c.

## ◆ cmdline_parser_file_save()

int cmdline_parser_file_save | ( | const char * | filename,
|  | struct gengetopt_args_info * | args_info
| ) |  |

Save the contents of the option struct into a (text) file. This file can be read by the config file parser (if generated by gengetopt)

Parameters

  filename | the file where to save
  args_info | the option struct to save

Returns
  0 if everything went fine, NON 0 if an error took place

Definition at line 364 of file ofxconnect/cmdline.c.

## ◆ cmdline_parser_free()

void cmdline_parser_free | ( | struct gengetopt_args_info * | args_info | ) |

Deallocates the string fields of the gengetopt_args_info structure (but does not deallocate the structure itself)

Parameters

  args_info | the structure to deallocate

Definition at line 384 of file ofxconnect/cmdline.c.

## ◆ cmdline_parser_init()

void cmdline_parser_init | ( | struct gengetopt_args_info * | args_info | ) |

Initializes the passed gengetopt_args_info structure's fields (also set default values for options that have a default)

Parameters

  args_info | the structure to initialize

Definition at line 210 of file ofxconnect/cmdline.c.

## ◆ cmdline_parser_params_create()

struct cmdline_parser_params* cmdline_parser_params_create | ( | void |  | ) |

Allocates dynamically a cmdline_parser_params structure and initializes all its fields to their default values

Returns
  the created and initialized cmdline_parser_params structure

Definition at line 234 of file ofxconnect/cmdline.c.

## ◆ cmdline_parser_params_init()

void cmdline_parser_params_init | ( | struct cmdline_parser_params * | params | ) |

Initializes all the fields a cmdline_parser_params structure to their default values

Parameters

  params | the structure to initialize

Definition at line 221 of file ofxconnect/cmdline.c.

## ◆ cmdline_parser_print_help()

void cmdline_parser_print_help | ( | void |  | ) |

Print the help

Definition at line 201 of file ofxconnect/cmdline.c.

## ◆ cmdline_parser_print_version()

void cmdline_parser_print_version | ( | void |  | ) |

Print the version

Definition at line 169 of file ofxconnect/cmdline.c.

## ◆ cmdline_parser_required()

int cmdline_parser_required | ( | struct gengetopt_args_info * | args_info,
|  | const char * | prog_name
| ) |  |

Checks that all the required options were specified

Parameters

  args_info | the structure to check
  prog_name | the name of the program that will be used to print possible errors

Returns

Definition at line 468 of file ofxconnect/cmdline.c.